wibble::commandline Namespace Reference

## Classes

class | ArgList
struct | Bool
class | BoolOption
| Boolean option. More...
class | DocMaker
class | Engine
| Parse commandline options. More...
struct | ExistingFile
class | Help
struct | Int
class | Managed
class | Manpage
class | MemoryManager
| Keep track of various wibble::commandline components, and deallocate them at object destruction. More...
class | Option
| Interface for a parser for one commandline option. More...
class | OptionGroup
| Group related commandline options. More...
class | Parser
| Generic parser for commandline arguments. More...
class | SingleOption
class | SingleOptvalOption
| Single option whose value can be or not be specified. More...
class | StandardParser
| Parser for commandline arguments, with builting help functions. More...
class | StandardParserWithMandatoryCommand
| Parser for commandline arguments, with builting help functions and manpage generation, and requiring a mandatory command. More...
class | StandardParserWithManpage
| Parser for commandline arguments, with builting help functions and manpage generation. More...
struct | String
class | VectorOption

## Typedefs

typedef SingleOption< String > | StringOption
typedef SingleOptvalOption< String > | OptvalStringOption
typedef SingleOption< Int > | IntOption
typedef SingleOptvalOption< Int > | OptvalIntOption
typedef SingleOption< ExistingFile > | ExistingFileOption
| Commandline option with a mandatory argument naming a file which must exist. More...
typedef SingleOptvalOption< ExistingFile > | OptvalExistingFileOption
| Commandline option with an optional argument naming a file which must exist. More...

## Typedef Documentation

## ExistingFileOption

typedef SingleOption<ExistingFile> wibble::commandline::ExistingFileOption

Commandline option with a mandatory argument naming a file which must exist.

## IntOption

typedef SingleOption<Int> wibble::commandline::IntOption

## OptvalExistingFileOption

typedef SingleOptvalOption<ExistingFile> wibble::commandline::OptvalExistingFileOption

Commandline option with an optional argument naming a file which must exist.

## OptvalIntOption

typedef SingleOptvalOption<Int> wibble::commandline::OptvalIntOption

## OptvalStringOption

typedef SingleOptvalOption<String> wibble::commandline::OptvalStringOption

## StringOption

typedef SingleOption<String> wibble::commandline::StringOption